LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
FormulaLanguage.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::FormulaLanguage
| Constants designating the formula language used with XFormulaOpCodeMapper methods.

## Variables
const long | ODFF = 0
| Function names and operators as defined by the OASIS OpenDocument Format (ODF) Formula specification (ODFF aka OpenFormula). More...
const long | ODF_11 = 1
| Function names and operators as used in ODF documents prior to the ODFF specification, up to ODF v1.1. More...
const long | ENGLISH = 2
| Function names and operators as used in the English language user interface. More...
const long | NATIVE = 3
| Function names and operators as used in the current native language user interface. More...
const long | XL_ENGLISH = 4
| Function names and operators as used in the English version of Excel. More...
const long | OOXML = 5
| Function names and operators as used in OOXML. More...
const long | API = 6
| Function names and operators as used with XFunctionAccess and other API context. More...